=== utils/vim/Makefile ===
apparmor.vim: apparmor.vim.in Makefile create-apparmor.vim.sh
	sh create-apparmor.vim.sh

clean:
	rm -f apparmor.vim
